Package net.shibboleth.idp.attribute.resolver

# Class NoResultAnErrorResolutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.shibboleth.idp.attribute.resolver.ResolutionException
net.shibboleth.idp.attribute.resolver.NoResultAnErrorResolutionException

All Implemented Interfaces:
  `Serializable`

public class NoResultAnErrorResolutionException extends ResolutionException
A special ResolutionException which is thrown if no results were resolved by a data connector and the deployer specified "NoResultsAnError".

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
versionID.

## Constructor Summary

Constructors
Constructor
Description
`NoResultAnErrorResolutionException(String message)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
versionID.

See Also:
  - Constant Field Values

## Constructor Details

### NoResultAnErrorResolutionException

public NoResultAnErrorResolutionException(String message)
Constructor.

Parameters:
  `message` - exception message